libstdc++: std::binder2nd< _Operation > Class Template Reference

libstdc++

std::binder2nd< _Operation > Class Template Reference
Utilities » Function Objects » Binder Classes

`#include <binders.h>`

Inheritance diagram for std::binder2nd< _Operation >:
[legend]

## Public Types
typedef _Operation::first_argument_type | argument_type
typedef _Operation::result_type | result_type

## Public Member Functions
| binder2nd (const _Operation &__x, const typename _Operation::second_argument_type &__y)
_Operation::result_type | operator() (const typename _Operation::first_argument_type &__x) const
_Operation::result_type | operator() (typename _Operation::first_argument_type &__x) const

## Protected Attributes
_Operation | op
_Operation::second_argument_type | value

## Detailed Description

template<typename _Operation>
class std::binder2nd< _Operation >

One of the binder functors.

Definition at line 144 of file backward/binders.h.

## Member Typedef Documentation

## ◆ argument_type

typedef _Operation::first_argument_type std::unary_function< _Operation::first_argument_type, _Operation::result_type >::argument_type
| inherited

`argument_type` is the type of the argument

Definition at line 123 of file stl_function.h.

## ◆ result_type

typedef _Operation::result_type std::unary_function< _Operation::first_argument_type, _Operation::result_type >::result_type
| inherited

`result_type` is the return type

Definition at line 126 of file stl_function.h.

## Constructor & Destructor Documentation

## ◆ binder2nd()

template<typename _Operation>

std::binder2nd< _Operation >::binder2nd | ( | const _Operation & | __x,
|  | const typename _Operation::second_argument_type & | __y )
| inline

Definition at line 153 of file backward/binders.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename _Operation>

_Operation::result_type std::binder2nd< _Operation >::operator() | ( | const typename _Operation::first_argument_type & | __x | ) | const
| inline

Definition at line 158 of file backward/binders.h.

## ◆ operator()() [2/2]

template<typename _Operation>

_Operation::result_type std::binder2nd< _Operation >::operator() | ( | typename _Operation::first_argument_type & | __x | ) | const
| inline

Definition at line 164 of file backward/binders.h.

## Member Data Documentation

## ◆ op

template<typename _Operation>

_Operation std::binder2nd< _Operation >::op
| protected

Definition at line 149 of file backward/binders.h.

## ◆ value

template<typename _Operation>

_Operation::second_argument_type std::binder2nd< _Operation >::value
| protected

Definition at line 150 of file backward/binders.h.

The documentation for this class was generated from the following file:

- backward/binders.h